Subject: Re: bug#53207: 28.0.91; create-lockfiles nil breaks file change detection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Jan 2022 16:43:22 +0200

> From: Michael Albinus <[email-masked]>
> Cc: "Eli Zaretskii" <[email-masked]>,  "Glenn Morris" <[email-masked]>,  "Lars
>  Ingebrigtsen" <[email-masked]>,  [email-masked]
> Date: Fri, 14 Jan 2022 15:26:18 +0100
> 
> So it checks also the owner of the lock file. This makes only sense, if
> create-lockfiles is non-nil; otherwise there is no lock file owner ...
> 
> I agree with Eli, that the current behavior in Emacs 28 is
> consistent. Since this is an incompatible change, we shall document
> it. The Emacs 28 manual says
> 
> --8<---------------cut here---------------start------------->8---
>    You can prevent the creation of lock files by setting the variable
> ‘create-lockfiles’ to ‘nil’.  *Caution:* by doing so you will lose the
> benefits that this feature provides.
> --8<---------------cut here---------------end--------------->8---
> 
> Maybe it shall be more explicit saying, that also detection of changing
> the modification time is lost when create-lockfiles is nil.

We should say there that setting the variable to nil disables the
entire editing collision detection, not just creation of the lock
files.

> etc/NEWS is silent about this, it should explain this subtle change as well.

Right.  Assuming we agree with the current behavior.

Lars, WDYT?